From oracle-l-bounce@freelists.org  Wed Nov  3 09:49:15 2004
Return-Path: <oracle-l-bounce@freelists.org>
Received: from air189.startdedicated.com (root@localhost)
 by orafaq.com (8.11.6/8.11.6) with ESMTP id iA3FnEY25863
 for <oracle-l@orafaq.com>; Wed, 3 Nov 2004 09:49:14 -0600
X-ClientAddr: 206.53.239.180
Received: from turing.freelists.org (freelists-180.iquest.net [206.53.239.180])
 by air189.startdedicated.com (8.11.6/8.11.6) with ESMTP id iA3FnDI25845
 for <oracle-l@orafaq.com>; Wed, 3 Nov 2004 09:49:13 -0600
Received: from localhost (localhost [127.0.0.1])
 by turing.freelists.org (Avenir Technologies Mail Multiplex) with ESMTP
 id E5D0A72E1E2; Wed,  3 Nov 2004 09:45:52 -0500 (EST)
Received: from turing.freelists.org ([127.0.0.1])
 by localhost (turing [127.0.0.1]) (amavisd-new, port 10024) with ESMTP
 id 27506-02; Wed,  3 Nov 2004 09:45:52 -0500 (EST)
Received: from turing (localhost [127.0.0.1])
 by turing.freelists.org (Avenir Technologies Mail Multiplex) with ESMTP
 id A7BC272E1E6; Wed,  3 Nov 2004 09:45:42 -0500 (EST)
Message-ID: <44944.192.168.126.126.1099493027.squirrel@secure.trivadis.com>
Date: Wed, 3 Nov 2004 15:43:47 +0100 (CET)
Subject: Estimating Win32 address-space currently in use by Oracle.exe
From: "Peter Welker" <peter.welker@trivadis.com>
To: oracle-l@freelists.org
User-Agent: SquirrelMail/1.4.1
MIME-Version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-archive-position: 11831
X-ecartis-version: Ecartis v1.0.0
Sender: oracle-l-bounce@freelists.org
Errors-To: oracle-l-bounce@freelists.org
X-original-sender: peter.welker@trivadis.com
Precedence: normal
Reply-To: peter.welker@trivadis.com
X-list: oracle-l
X-Virus-Scanned: by amavisd-new at freelists.org

Dear List,

I am looking for a good way to measure the "really" reserved memory (the
reserved address space = Working Set + pure VirtuallyAllocated memory) for
a running 9.2 database on Win32 (something that gives more reliable
information than the metalink docs 223730.1, 46001.1, 46053.1). Goal is to
prevent Oracle.exe from hitting the 2G / 3G limits on Win32 (AWE/PAE is
not possible on our application).

The following query tries to get an estimation without MTS and without
adjusting orastack before.

select sum(bytes)/1024/1024 Mb from
(select bytes from v$sgastat
union all
select value bytes from v$sesstat s inner join v$statname n using
(STATISTIC#) where name = 'session pga memory'
union all
select 100*1024*1024 bytes from dual
union all
select count(*)*700*1024 bytes from v$session
);

Actually, I'd like to know if I forgot something or if something is wrong
with this. Here is a description of the different parts:

1) get the SGA size
2) get the currently total use of PGA memory (containing the "visible"
part of the 1MB stack per thread/session?)
3) add 60 to 100 MB for Oracle.exe and DLLs (conservative = 100MB)
4) add 700k (the "unvisible" part of the stack) as VirtuallyAllocated per
thread/session

Did I miss something? Are my assumption correct (especially, the one with
the stack and it's "visibility"?)

Thanks for your answers in advance
Regards
Peter

--
http://www.freelists.org/webpage/oracle-l

